using System;
using System.Runtime.CompilerServices;

namespace System.Threading.Channels
{
	[Nullable(new byte[] { 0, 1, 1 })]
	[NullableContext(2)]
	public abstract class Channel<T> : Channel<T, T>
	{
	}
}
